package com.example.mapper;

import com.example.bean.Doctor;
import com.example.bean.User;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import javax.print.Doc;
import java.util.List;

@Mapper
public interface DoctorMapper {
    int reg(Doctor doctor);
    int updateQualification(byte[] qualification, String userid);
    Doctor getDoctorById(String userid);
    List<User> getAllMyUsers(String doctorid);
    List<Doctor> showAllDoctors();
    int updateDoctor(Doctor doctor);
    int deleteUserByUserid(String userid);
    int updateDoctorEnabled(@Param("enabled")Boolean enabled, @Param("userid") String userid);
    List<Doctor> selectUnabledDoctor();
}
